Skip to main content
PATCH
/
returns
/
{id}
/
receive
Mark return received
curl --request PATCH \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/returns/{id}/receive \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 123,
    "sales_order_id": 123,
    "status": "Pending",
    "restock": true,
    "order_date": "2023-12-25",
    "transaction_type": "return-only",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "items": [
      {
        "id": 123,
        "sales_order_item_id": 123,
        "sku": "<string>",
        "quantity": 123,
        "location_id": 123,
        "lot_id": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

id
integer
required

Return order ID

Response

Received

data
object

A customer return for a sales order — return-only, refund-only, or return-and-refund. Status is Pending until received, then Received.